///////////////////////////////////////////////////
//  RepairToggle v1.0                            //
//  |eX|DEbig3 - 4/10/01                         //                                         //
//  Lets you repair without holding down a key.  // 
//  NOTE: you must set a new bind for this!!     //
///////////////////////////////////////////////////

function repairToggle(%val) {
	if (%val) {
		if ($repairGunMounted) {
			if ($repairIsToggled)
				$repairIsToggled = false;
			else
				$repairIsToggled = true;
			mouseFire();
		}
	}
}

package repairToggle {
	function clientCmdSetRepairReticle() {
		parent::clientCmdSetRepairReticle();
		$repairGunMounted = true;
	}
	
	function clientCmdSetWeaponsHudActive(%slot) {
		parent::clientCmdSetWeaponsHudActive(%slot);
		$repairGunMounted = false;
		if ($repairIsToggled) {
			$repairIsToggled = false;
			mouseFire();
		}
	}
	
	function OptionsDlg::onWake( %this ) {
		if($repairToggleBind $= "false") {
			$RemapName[$RemapCount]="Repair Toggle";
			$RemapCmd[$RemapCount]="repairToggle";
			$RemapCount++;
			$repairToggleBind = "true";
		}
		parent::onWake( %this );
	}
};

$repairIsToggled = false;
$repairToggleBind = "false";
$repairGunMounted = false;
activatePackage(repairToggle);